mersenneforum.org

mersenneforum.org (https://www.mersenneforum.org/index.php)
-   Software (https://www.mersenneforum.org/forumdisplay.php?f=10)
-   -   Segmentation Fault on kernel 2.6.8-1.521 (https://www.mersenneforum.org/showthread.php?t=2953)

Prime Monster 2004-08-23 18:27

Segmentation Fault on kernel 2.6.8-1.521
 
I resently installed kernel 2.6.8-1.521 on a Fedora Core 2 machine. I get a segmentation fault when trying to run the prime client (both the mprime and sprime version).

It works fine on the previous kernel - 2.6.7-1.494.2.2.

The client seg faults before it even can bring up the menu.

PM

garo 2004-08-24 12:55

Prime Monster,
Look at ths post from Ars Technica. [url]http://episteme.arstechnica.com/eve/ubb.x?q=Y&a=tpc&s=50009562&f=122097561&m=595002957231&p=27[/url]

Prime Monster 2004-08-24 19:20

Garo,

thanks for the link. I tried the suggestion that was posted in the thread. but it didn't work.

PM

Prime95 2004-08-26 15:25

PrimeMonster, by any chance can you download the sources and debug?

If not, I'll have to install Fedora on a machine here.

Mike Johnston 2004-08-29 15:59

Segmentation Fault on kernel 2.6.8-1.521
 
Me Too.

I just upgraded to the latest Fedora Core 2

radius2 2004-09-01 15:35

[QUOTE=Prime Monster]I resently installed kernel 2.6.8-1.521 on a Fedora Core 2 machine. I get a segmentation fault when trying to run the prime client (both the mprime and sprime version).
...
The client seg faults before it even can bring up the menu.
[/QUOTE]

Same here with 2.6.8.1-common on a SuSe machine.

Otherwise than that, it is possible to go to the menu, though. Have you tried
mprime -m ? It does work for me. But when I chose "contact server" in the menu, the program sigfaults.

radius2

Waldo 2004-09-05 16:51

[QUOTE=Prime Monster]I tried the suggestion that was posted in the thread. but it didn't work.[/QUOTE]
Ditto that here. For now I'll probably just revert to an older kernel because running the latest kernel isn't that important to me, but hopefully this isn't too difficult a fix to make soon.

Prime95 2004-09-16 20:40

Try the latest version at [url]http://mersenne.org/freesoft.htm[/url]

I downloaded and installed Fedora core 2, updated the kernel, recompiled
and relinked and it just works. I don't know what the problem was.

Waldo 2004-09-20 07:15

[QUOTE=Prime95]I downloaded and installed Fedora core 2, updated the kernel, recompiled
and relinked and it just works. I don't know what the problem was.[/QUOTE]
The updated version does indeed work. Back to the newer kernels for me!

barcode 2004-10-11 22:19

I'm having a problem with prp3 on a 2.6 kernel, is this likely the same problem? Gentoo Linux in case it matters.


All times are UTC. The time now is 15:31.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.